- [HTTP request](https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1/instances/resetSslConfig#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1/instances/resetSslConfig#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1/instances/resetSslConfig#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1/instances/resetSslConfig#body.request_body)
- [Response body](https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1/instances/resetSslConfig#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1/instances/resetSslConfig#body.aspect)
- [ResetSslMode](https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1/instances/resetSslConfig#ResetSslMode)
- [Examples](https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1/instances/resetSslConfig#examples)
- [Try it!](https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1/instances/resetSslConfig#try-it)

Deletes all client certificates and generates a new server SSL certificate for the instance.

### HTTP request

`POST https://sqladmin.googleapis.com/v1/projects/{project}/instances/{instance}/resetSslConfig`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID of the project that contains the instance. |
| `instance` | `string` Cloud SQL instance ID. This does not include the project ID. |

### Query parameters

| Parameters ||
|---|---|
| `mode` | ``enum (`https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1/instances/resetSslConfig#ResetSslMode`)`` Optional. Reset SSL mode to use. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1/operations#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloudsql`
- `
  https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/sqlservice.admin`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

## ResetSslMode

Reset SSL mode to selectively refresh the SSL materials.

| Enums ||
|---|---|
| `RESET_SSL_MODE_UNSPECIFIED` | Reset SSL mode is not specified. |
| `ALL` | Refresh all TLS configs. This is the default behaviour. |
| `SYNC_FROM_PRIMARY` | Refreshes the replication-related TLS configuration settings provided by the primary instance. Not applicable to on-premises replication instances. |